Summary:	Free UCS scalable fonts in TrueType format
Summary(pl.UTF-8):	Wolnodostępne skalowalne fonty UCS w formacie TrueType
Name:		fonts-TTF-freefont
Version:	20120503
Release:	3
License:	GPL v2
Group:		Fonts
Source0:	http://ftp.gnu.org/gnu/freefont/freefont-ttf-%{version}.zip
# Source0-md5:	879b76d2e3c8003d567b555743f39154
Source1:	%{name}-mono.conf
Source2:	%{name}-sans.conf
Source3:	%{name}-serif.conf
URL:		http://www.gnu.org/software/freefont/
BuildRequires:	unzip
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ttffontsdir	%{_fontsdir}/TTF

%description
This project aims to provide a set of free scalable fonts covering the
ISO 10646/Unicode UCS (Universal Character Set).

%description -l pl.UTF-8
Celem tego projektu jest udostępnienie zestawu wolnodostępnych fontów
skalowalnych pokrywających zakres uniwersalnego zestawu znaków ISO
10646/Unicode.

%prep
%setup -q -n freefont-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ttffontsdir},%{_sysconfdir}/fonts/conf.d,%{_datadir}/fontconfig/conf.avail}

cp -p *.ttf $RPM_BUILD_ROOT%{ttffontsdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/69-freefont-ttf-mono.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/69-freefont-ttf-sans.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/69-freefont-ttf-serif.conf

ln -s %{_datadir}/fontconfig/conf.avail/69-freefont-ttf-mono.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/69-freefont-ttf-sans.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/69-freefont-ttf-serif.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d


%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF

%postun
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog README
%{ttffontsdir}/FreeMono*.ttf
%{ttffontsdir}/FreeSans*.ttf
%{ttffontsdir}/FreeSerif*.ttf
%{_datadir}/fontconfig/conf.avail/69-freefont-ttf-*.conf
%{_sysconfdir}/fonts/conf.d/69-freefont-ttf-*.conf
%changelog
* Tue Feb 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-TTF-freefont.git;a=log;h=master

* Tue Feb 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 79ca3f7
- rel 3; install fontconfig files (from fc)

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> 1a7ea9d
- release 2 (by relup.sh)

* Tue Jul 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 23f65ab
- updated to 20120503

* Mon Sep 20 2010 blekot <blekot@pld-linux.org> 0fc8b17
- up to 20100919

* Thu Jan 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> de1f462
- up to 20090104

* Fri Sep 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 30898e8
- updated to 20080912

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 17b5677
- updated to 20080323, now GNU project

* Sun Jul 08 2007 qrczak <qrczak@pld-linux.org> 7fd41a9
- Updated to 20060126

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fdc8b8e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3949cde
- converted to UTF-8

* Sun Dec 12 2004 Paweł Sikora <pluto@pld-linux.org> 486859e
- log trimmed.

* Mon Nov 29 2004 zbyniu <zbyniu@pld-linux.org> cbadbcf
- BR: unzip

* Fri Aug 20 2004 kolodko <kolodko@pld-linux.org> 1afd564
- new, very nice fonts :)

